# Upload Shop Logo Use this endpoint for uploading a shop logo, which will we placed on the correspondencesConstraints for the logo fileRequirements for the image file:- The logo file should not exceed 150 KB.- Recommended resolution > 300 dpi- The logo file format should be png.- The background should be transparent.- The logo should be in a horizontal design (width >= height).Visualization rules:- proportion-rule: It will be always proportionally stretched.- max-height rule: The max-height of visualization will be 100px.- It will be visualized in a width between 250 and 500px, if the height and proportion rules allow it.- It will be placed on the top of the correspondence. Endpoint: POST /v2/partners/{partner_profile_id}/shops/{shop_id}/logos Version: 2.0 Security: Bearer Authentication ## Path parameters: - `partner_profile_id` (string, required) ID of the partner profile under which the existing shop has been registered. Example: "DE_PARTNER_ID_PR" - `shop_id` (string, required) The unique identifier of a shop, provided by the partner. Example: "acbd18db4cc2f85cedef654fccc4a4d8" ## Request fields (multipart/form-data): - `logo` (string) Binary file to be uploaded. It expects following MIME-Types: *.png ## Response 422 fields (application/json): - `message` (string) Example: "The given data was invalid." - `errors` (object) - `errors.logo` (array) Example: ["The logo must be a file of type: png."] ## Response 500 fields (application/json): - `message` (string) Example: "Server Error"